Page MenuHomeFreeBSD

remove references to GNATS from dev-model book
ClosedPublic

Authored by jgh on Oct 31 2014, 11:14 PM.

Details

Summary

This also sync's with the official administrative roles for Bugmeister, as the GNATS Administrator was removed. Old description still applied, but was taken over by Bugmeister.

I also chose to use Bugzilla in the diff, as other software packages were mentioned, as well, so it seemed appropriate in this case. I would prefer to use "Problem Report database" where it makes sense.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

jgh retitled this revision from to remove references to GNATS from dev-model book .Oct 31 2014, 11:14 PM
jgh updated this object.
jgh edited the test plan for this revision. (Show Details)
jgh added reviewers: bcr, remko, wblock, gavin.
jgh set the repository for this revision to rD FreeBSD doc repository.
jgh updated this revision to Diff 2195.
wblock added inline comments.Nov 1 2014, 1:25 AM
en_US.ISO8859-1/books/dev-model/book.xml
1759 ↗(On Diff #2195)

Is send-pr still recommended? Does it even work on all supported releases?

2057 ↗(On Diff #2195)

Needs a serial comma.

2080 ↗(On Diff #2195)

s/have also/also have/

2081 ↗(On Diff #2195)

"available" is not needed at all.

gavin added inline comments.Nov 1 2014, 5:39 PM
en_US.ISO8859-1/books/dev-model/book.xml
1759 ↗(On Diff #2195)

send-pr is still supported on all releases that shipped before we switched to Bugzilla. i.e. it is supported in all supported releases right now, except for 9.3 which shipped after the changeover.

We probably should not be recommending its use any more, however.

jgh updated this revision to Diff 2253.Nov 3 2014, 4:07 PM
remko edited edge metadata.Nov 3 2014, 6:51 PM

First part: This is not true perse, newer versions do not come with send-pr nor should it be used. Can we mention that bugs should be filed through the webinterface?

Second part: lines 69/70: I do not see why these should be changed.

remko edited edge metadata.Nov 3 2014, 6:53 PM
remko requested changes to this revision.

Why is the bugmeister part removed btw? the team does the same with now Bugzilla instead of Gnats. I do not see why this is removed.

I also think we should talk about The Bugmeisters are responsible..

(How do I comment per line so that it's easier to track what I am talking about?)

This revision now requires changes to proceed.Nov 3 2014, 6:53 PM
jgh added a comment.Nov 3 2014, 7:02 PM
In D1059#7, @remkolodder wrote:

First part: This is not true perse, newer versions do not come with send-pr nor should it be used. Can we mention that bugs should be filed through the webinterface?

That is a good idea. I will work this into the the next update.

Second part: lines 69/70: I do not see why these should be changed.

I don't see which lines these are, as there seems to not be any line changed with that number in this diff. Can you please quote what was changed?

en_US.ISO8859-1/books/dev-model/book.xml
2057 ↗(On Diff #2195)

So you want it to read like this:
Perforce, Bugzilla, Mailman, and OpenSSH

If this is the case, I shall put it this way, however I strongly disagree. If this isn't the case, I'm not clear in what you are requesting to have done.

jgh added a comment.Nov 3 2014, 7:06 PM
In D1059#8, @remkolodder wrote:

Why is the bugmeister part removed btw? the team does the same with now Bugzilla instead of Gnats. I do not see why this is removed.
I also think we should talk about The Bugmeisters are responsible..
(How do I comment per line so that it's easier to track what I am talking about?)

This is in-line, or I believe it is a proper representation of what the change was aiming to do, with what gavin@ (and was suggested by gavin@) had made to htdocs/administration.xml. If my interpretation was incorrect, I can address that. Gavin?

[helfman@its-jhelfman03 ~/workspace/doc/en_US.ISO8859-1/htdocs]$ svn diff -r45352:45450 administration.xml

Index: administration.xml

  • administration.xml (revision 45352)

+++ administration.xml (revision 45450)
@@ -58,8 +58,7 @@

<ul>
 <li><a href="#t-accounts">Accounts Team</a></li>
 <li><a href="#t-backups">Backup Administrators</a></li>
  • <li><a href="#t-bugmeister">Bugmeisters &amp; GNATS
  • Administrators</a></li>

+ <li><a href="#t-bugmeister">Bugmeisters</a></li>

<li><a href="#t-clusteradm">Cluster Administrators</a></li>
<li><a href="#t-dnsadm">DNS Administrators</a></li>
<li><a href="#t-mirror-admin">FTP/WWW Mirror Site

@@ -338,10 +337,10 @@

  <li>&a.dhw.email;</li>
</ul>
  • <h3><a name="t-bugmeister">Bugmeisters &amp; GNATS Administrators</a>

+ <h3><a name="t-bugmeister">Bugmeisters</a>

&lt;<a href="mailto:bugmeister@FreeBSD.org">bugmeister@FreeBSD.org</a>&gt;</h3>
  • <p>The Bugmeisters and GNATS Administrators are responsible for ensuring

+ <p>The Bugmeisters are responsible for ensuring

that the maintenance database is in working order, that the entries are
correctly categorised and that there are no invalid entries.  They are
also responsible for the problem report group.</p>
jgh edited edge metadata.Nov 4 2014, 6:16 PM
jgh updated this revision to Diff 2268.
wblock added inline comments.Nov 4 2014, 11:42 PM
en_US.ISO8859-1/books/dev-model/book.xml
39 ↗(On Diff #2253)

<quote> seems wrong here. <command> or &man.send-pr.n; would be more appropriate, except that newer versions do not have it.

40 ↗(On Diff #2253)

This line needs a serial comma.

jgh edited edge metadata.Nov 5 2014, 12:19 AM
jgh updated this revision to Diff 2275.
wblock added inline comments.Nov 5 2014, 12:29 AM
en_US.ISO8859-1/books/dev-model/book.xml
39 ↗(On Diff #2275)

Still not sure about send-pr. Maybe "Before &os;&nbsp;10, &os; included <command>send-pr</command>..."

And then use <command> tags when it is mentioned again in the next sentence.

43 ↗(On Diff #2275)

s/our/the/ seems better.

jgh updated this revision to Diff 2276.Nov 5 2014, 12:37 AM
wblock edited edge metadata.Nov 5 2014, 12:39 AM
wblock accepted this revision.

Please build-test before commit.

jgh closed this revision.Nov 5 2014, 5:08 PM
jgh updated this revision to Diff 2291.

Closed by commit rD45935 (authored by @jgh).